### Class

# Panel Session

since: 1

#### Description

    final class Panel.Session : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1

#### Ancestors

- GObject

#### Constructors

###### panel_session_new

No description available.

since: 1

###### panel_session_new_from_variant

Creates a new `PanelSession` from a `GVariant`.

since: 1.4

#### Instance methods

###### panel_session_append

No description available.

since: 1

###### panel_session_get_item

Gets the item at `position`.

since: 1.4

###### panel_session_get_n_items

No description available.

since: 1

###### panel_session_insert

No description available.

since: 1

###### panel_session_lookup_by_id

Gets a session item matching `id`.

since: 1.4

###### panel_session_prepend

No description available.

since: 1

###### panel_session_remove

No description available.

since: 1

###### panel_session_remove_at

No description available.

since: 1

###### panel_session_to_variant

Serializes a `PanelSession` as a `GVariant`.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PanelSessionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.